/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-14 13:45:30
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-23 14:31:26
 * @FilePath: \Robot-Al-Platform-Web\src\renderer\src\config\designControl.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
// 顶部设计控制栏
import SaveIcon from '@/assets/images/navBar/save.png'
import PrevIcon from '@/assets/images/navBar/prev.png'
import NextIcon from '@/assets/images/navBar/next.png'
import LockIcon from '@/assets/images/navBar/lock.png'
import CameraIcon from '@/assets/images/navBar/camera.png'
import ControlIcon from '@/assets/images/navBar/control.png'
import GlobalIcon from '@/assets/images/navBar/global.png'
import CommIcon from '@/assets/images/navBar/comm.png'
import TriggerIcon from '@/assets/images/navBar/trigger.png'
import ScriptIcon from '@/assets/images/navBar/script.png'
import SingleExecIcon from '@/assets/images/navBar/single_execution.png'
import ContinuousExecIcon from '@/assets/images/navBar/continuous_execution.png'
import RunInterfaceIcon from '@/assets/images/navBar/run_interface.png'
import RunModelIcon from '@/assets/images/navBar/run_model.png'

// 左侧控制栏
import GatherIcon from '@/assets/images/panelBar/gather.png' // 采集
import LocateIcon from '@/assets/images/panelBar/locate.png' // 定位
import IdentifyIcon from '@/assets/images/panelBar/identify.png' // 识别
import CalibrateIcon from '@/assets/images/panelBar/calibrate.png' // 校准
import ImageProcessingIcon from '@/assets/images/panelBar/image_processing.png' // 图片处理
import ColorProcessingIcon from '@/assets/images/panelBar/color_processing.png' // 色彩处理
import ImageGenerationIcon from '@/assets/images/panelBar/image_generation.png' // 图片生成
import LogicalToolsIcon from '@/assets/images/panelBar/logical_tools.png' // 逻辑工具
import CommunicationIcon from '@/assets/images/panelBar/communication.png' // 通讯
import DeepLearningIcon from '@/assets/images/panelBar/deep_learning.png' // 深度学习
// 节点图标
import imageNodeIcon from '@/assets/images/ImagesCapture/image-node.png' // 图像源
import multiImageNodeIcon from '@/assets/images/ImagesCapture/multi-image-node.png' // 多图采集
import outputImageNodeIcon from '@/assets/images/ImagesCapture/output-image-node.png' // 输出图像
import CashImageNodeIcon from '@/assets/images/ImagesCapture/cash-image-node.png' // 缓存图像
export interface designLFNodeType {
  type: string
  icon: string
  label: string
}
// 控制按钮类型
export interface ControlsItemType {
  icon: any
  label: string
  type: string
  children?: designLFNodeType[]
}

// 顶部导航栏控制按钮集合
export const navControlsConf: ControlsItemType[] = [
  {
    icon: SaveIcon,
    label: '保存',
    type: 'save'
  },
  {
    icon: PrevIcon,
    label: '上一步',
    type: 'undo'
  },
  {
    icon: NextIcon,
    label: '下一步',
    type: 'redo'
  },
  {
    icon: LockIcon,
    label: '锁定',
    type: 'lock'
  },
  {
    icon: CameraIcon,
    label: '相机管理',
    type: 'camera'
  },
  {
    icon: ControlIcon,
    label: '控制器管理',
    type: 'control'
  },
  {
    icon: GlobalIcon,
    label: '全局变量',
    type: 'global'
  },
  {
    icon: CommIcon,
    label: '通信管理',
    type: 'comm'
  },
  {
    icon: TriggerIcon,
    label: '全局触发',
    type: 'trigger'
  },
  {
    icon: ScriptIcon,
    label: '全局脚本',
    type: 'script'
  },
  {
    icon: SingleExecIcon,
    label: '单次执行',
    type: 'singleExec'
  },
  {
    icon: ContinuousExecIcon,
    label: '连续执行',
    type: 'continuousExec'
  },
  {
    icon: RunInterfaceIcon,
    label: '编辑运行界面',
    type: 'runInterface'
  },
  {
    icon: RunModelIcon,
    label: '运行模型',
    type: 'runModel'
  }
]

// 左侧面板控制按钮集合
export const panelControlsConf: ControlsItemType[] = [
  {
    icon: GatherIcon,
    label: '采集',
    children: [
      {
        type: 'image-node',
        label: '图像源',
        icon: imageNodeIcon
      },
      {
        type: 'multi-image-node',
        label: '多图采集',
        icon: multiImageNodeIcon
      },
      {
        type: 'output-image-node',
        label: '输出图像',
        icon: outputImageNodeIcon
      },
      {
        type: 'cash-image-node',
        label: '缓存图像',
        icon: CashImageNodeIcon
      }
    ]
  },
  {
    icon: LocateIcon,
    label: '定位'
  },
  {
    icon: IdentifyIcon,
    label: '识别'
  },
  {
    icon: CalibrateIcon,
    label: '校准'
  },
  {
    icon: ImageProcessingIcon,
    label: '图片处理'
  },
  {
    icon: ColorProcessingIcon,
    label: '色彩处理'
  },
  {
    icon: ImageGenerationIcon,
    label: '图片生成'
  },
  {
    icon: CommunicationIcon,
    label: '通讯'
  },
  {
    icon: DeepLearningIcon,
    label: '深度学习'
  }
]
